org.apache.cassandra.service.paxos

## Class Commit

- java.lang.Object
- - org.apache.cassandra.service.paxos.Commit

    public class Commit
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Commit.CommitSerializer`

### Field Summary

Fields
`java.util.UUID` `ballot`
`java.nio.ByteBuffer` `key`
`static Commit.CommitSerializer` `serializer`
`ColumnFamily` `update`

### Constructor Summary

Constructors
Constructor and Description
`Commit(java.nio.ByteBuffer key, java.util.UUID ballot, ColumnFamily update)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Commit` `emptyCommit(java.nio.ByteBuffer key, CFMetaData metadata)`
`boolean` `equals(java.lang.Object o)`
`boolean` `hasBallot(java.util.UUID ballot)`
`int` `hashCode()`
`boolean` `isAfter(Commit other)`
`Mutation` `makeMutation()`
`static Commit` `newPrepare(java.nio.ByteBuffer key, CFMetaData metadata, java.util.UUID ballot)`
`static Commit` `newProposal(java.nio.ByteBuffer key, java.util.UUID ballot, ColumnFamily update)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static final Commit.CommitSerializer serializer

#### key

    public final java.nio.ByteBuffer key

#### ballot

    public final java.util.UUID ballot

#### update

    public final ColumnFamily update

### Constructor Detail

#### Commit

    public Commit(java.nio.ByteBuffer key,
                  java.util.UUID ballot,
                  ColumnFamily update)

### Method Detail

#### newPrepare

    public static Commit newPrepare(java.nio.ByteBuffer key,
                                    CFMetaData metadata,
                                    java.util.UUID ballot)

#### newProposal

    public static Commit newProposal(java.nio.ByteBuffer key,
                                     java.util.UUID ballot,
                                     ColumnFamily update)

#### emptyCommit

    public static Commit emptyCommit(java.nio.ByteBuffer key,
                                     CFMetaData metadata)

#### isAfter

    public boolean isAfter(Commit other)

#### hasBallot

    public boolean hasBallot(java.util.UUID ballot)

#### makeMutation

    public Mutation makeMutation()

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`